Bug 1296987 - Missing dependency for piglit: python-mako
Missing dependency for piglit: python-mako
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: piglit (Show other bugs)
23
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Matěj Cepl
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-08 10:50 EST by peter.senna
Modified: 2016-02-21 11:31 EST (History)
2 users (show)

See Also:
Fixed In Version: piglit-1.0.20151124-1.git72e5518.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-21 11:31:50 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description peter.senna 2016-01-08 10:50:02 EST
Description of problem:
Missing dependency: python-mako

Version-Release number of selected component (if applicable):
piglit-1-0.24.20150206GITi9c8b329.fc23.x86_64

How reproducible:
Always

Steps to Reproduce:
1. sudo dnf install piglit
2. piglit run sanity results/sanity

Actual results:
Traceback (most recent call last):
  File "/usr/bin/piglit", line 108, in <module>
    import framework.programs.summary as summary
  File "/usr/lib64/piglit/framework/programs/summary.py", line 27, in <module>
    import framework.summary as summary
  File "/usr/lib64/piglit/framework/summary.py", line 33, in <module>
    from mako.template import Template
ImportError: No module named mako.template


Expected results:
[1/1] pass: 1 /
Thank you for running Piglit!
Results have been written to /home/peter/results/sanity


Additional info:
Works after: sudo dnf install python-mako
Comment 1 Fedora Update System 2016-01-09 05:37:18 EST
piglit-1.0.20151124-1.git72e5518.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-03d8391955
Comment 2 Matěj Cepl 2016-01-09 05:38:10 EST
I am sorry, I forgot to add build to updates. It should be good now.
Comment 3 Fedora Update System 2016-01-09 13:20:46 EST
piglit-1.0.20151124-1.git72e5518.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-03d8391955
Comment 4 Fedora Update System 2016-02-21 11:31:48 EST
piglit-1.0.20151124-1.git72e5518.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.